Bug 1415589 - Add cassandra user to standrard users
Summary: Add cassandra user to standrard users
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmlint
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 07:35 UTC by Tomas Repik
Modified: 2017-07-19 17:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-19 17:51:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Repik 2017-01-23 07:35:44 UTC
When I run rpmlint on my package I get this warning:
cassandra.x86_64: W: non-standard-uid /var/log/cassandra cassandra
I think the solution is adding cassandra to the standard users list. The setup package already has cassandra group and user in rawhide [1]. Could you update rpmlint as well?

[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=823500

Comment 1 Fedora End Of Life 2017-02-28 11:02:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Tom "spot" Callaway 2017-07-19 17:47:32 UTC
rpmlint reads StandardUsers and StandardGroups from the uidgid file in the setup package. No changes should be needed to rpmlint for this to be detected.

Comment 3 Tom "spot" Callaway 2017-07-19 17:51:53 UTC
I downloaded https://kojipkgs.fedoraproject.org/packages/cassandra/3.9/8.fc26/x86_64/cassandra-server-3.9-8.fc26.x86_64.rpm and rpmlint against it, and I did not get this error on my Fedora 26 system with the "cassandra" user in the uidgid file (as provided by the setup package).

Closing as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.